<template>
    <div class="s">
        <v-card color="blue lighten-1" class="mx-auto textcont" @click="get_users">
            <v-list>
                <template v-for="usr in users">
                    <v-list-item :key="usr.userName">
                        <v-list-item-title>{{ usr.userName }}</v-list-item-title>
                        <v-list-item-subtitle>
                            <span v-for="project in usr.Projects" :key="project.projectname">
                                {{ project.projectname }}.
                            </span>
                        </v-list-item-subtitle>
                    </v-list-item>
                </template>
            </v-list>
        </v-card>
    </div>
</template>

<script>
export default {
    name: "createProject",
    data: () => ({
        userName: "",
        falsee: false,
        errorMessage: "",
        successMessage: "",
        user: "",
        users: [],
    }),
    components: {},
    methods: {
        get_users() {
            this.$axios({
                method: "get",
                url: `/users`,
            }).then(res => {
                this.users = res.data;
            });
        },
        login_alert(message) {
            this.errorMessage = "" + message;
        },
        messagee(message) {
            this.successMessage = "" + message;
        },
    },
    mounted: function() {
        this.get_users();
        this.data.user = this.$store.getters.userName;
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-top: 15vh;
    margin-left: 60px;
}
.rightwrap {
    display: flex;
    justify-content: flex-end;
}
</style>
